#
# spec file for package python3-versiontools
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python3-versiontools
Version:        1.9.1
Release:        11.1
Url:            https://launchpad.net/versiontools
Summary:        Smart replacement for plain tuple used in __version__
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/v/versiontools/versiontools-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-setuptools
BuildArch:      noarch

%description
Smart replacement for plain tuple used in __version__.

* Keep a *single version definition* inside your package or module
* Get proper versioning of development snapshots coupled with your
  Version Control System (pluggable support for additional systems
  available)
* Produce nice version strings for released files that are compliant
  with PEP 386
* Remain comparable as tuple of integers

%prep
%setup -q -n versiontools-%{version}
sed -i "1d" versiontools/{git_support,hg_support,bzr_support}.py # Fix non-executable scripts

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc doc/*
%{python3_sitelib}/*

%changelog
* Thu May 15 2014 toddrme2178@gmail.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jan 14 2013 p.drouand@gmail.com
- Initial python3 support
